BUS_GENERIC_SHUTDOWN(9)

NAME
bus_generic_shutdown - generic implementation of DEVICE_SHUTDOWN for busses

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
int
bus_generic_shutdown(device_t dev);

DESCRIPTION
This function provides an implementation of the DEVICE_SHUTDOWN(9) method which can be used by most bus code. It simply calls the DEVICE_SHUTDOWN(9) method of each child device attached to the bus.

RETURN VALUES
Zero is returned on success, otherwise an appropriate error is returned.

SEE ALSO
device(9), driver(9)

AUTHORS
This manual page was written by Doug Rabson.